X2Go Bug report logs - #300
Allow x2gothinclientcreate to run non-interactive

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Arnold Krille <a.krille@b-c-s.de>

Date: Thu, 5 Sep 2013 09:03:01 UTC

Severity: normal

Tags: pending

Found in version 1.1.0.0

Fixed in version 1.1.0.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


đź”— View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.502 (Entity 5.502)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#300 closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
 (X2Go issue (in src:x2gothinclient) has been marked as closed)
Message-ID: <handler.300.c.138516080926917.notifdone@bugs.x2go.org>
References: <20131122225328.B365A5DB18@ymir>
X-X2go-PR-Keywords: pending
X-X2go-PR-Message: they-closed 300
X-X2go-PR-Package: x2gothinclient
X-X2go-PR-Source: x2gothinclient
Date: Fri, 22 Nov 2013 23:03:03 +0000
Content-Type: multipart/mixed; boundary="----------=_1385161383-1183-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2gothinclient package:

#300: Allow x2gothinclientcreate to run non-interactive

It has been closed by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <mike.gabriel@das-netzwerkteam.de> by
replying to this email.


-- 
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 300-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 300@bugs.x2go.org
Subject: X2Go issue (in src:x2gothinclient) has been marked as closed
Date: Fri, 22 Nov 2013 23:53:28 +0100 (CET)
close #300
thanks

Hello,

we are very hopeful that X2Go issue #300 reported by you
has been resolved in the new release (1.1.0.1) of the
X2Go source project »src:x2gothinclient«.

You can view the complete changelog entry of src:x2gothinclient (1.1.0.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gothinclient.

    http://code.x2go.org/gitweb?p=x2gothinclient.git;a=commitdiff;h=9aebcecfe34cc01dc9adf1e3917f6ce902999ad8;hp=37470492cb86f3dd411f468c4a333840795776f3

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gothinclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gothinclient
Version: 1.1.0.1
Status: RELEASE
Date: Fri, 22 Nov 2013 23:51:33 +0100
Fixes: 300 301
Changes: 
 x2gothinclient (1.1.0.1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (1.1.0.1):
     - Switch to VT-7 on TC shutdown.
     - Syntax fix in x2gousbmount script.
     - Make ~x2gothinclient rw-able on TCE machines. Thanks to Peter
       Schneider for pointing at this.
     - Remove chroot bootstrap cruft when finished with creating the
       TCE chroot.
     - Deactivate serial line terminals on X2Go thinclients.
     - Install TCE dependencies via meta-package x2gothinclient-chroot.
     - Move init scripts from debian/ folder into upstream folders.
     - Provide x2gothinclient-chroot.init script that tweaks the chroot
       during thin client startup.
     - Patch /etc/init.d/checkroot-bootclean.sh during TCE creation to
       avoid failures when clean tmp files on the read-only NFS root-fs.
     - Work around Debian bug #729373 during TCE creation. Replace alsa-utils
       init script and ALSA's utils.sh (for Debian wheezy+jessie chroots).
     - Refrain from using "~<user>" when launching X2Go Client as it cannot
       handle it, yet. Use "~" instead (handable by X2Go Client >= 4.0.1.2).
     - Tweak the /etc/os-release more comprehensively.
     - Update initramfs at the very end of the TCE creation.
     - Do not over-mount /run as tmpfs. This is already done by the Debian
       boot process.
     - Monitor mounted USB devices via ~x2gothinclient/mounts (and not via
       deprecated location /var/run).
     - Add TC_NONINTERACTIVE (commented out) to x2gothinclient_settings config
       file.
     - Add syslog support to x2gousbmount.
     - Install radeon and i915 kms/drm module into initrd image for Debian
       (>= 7).
   * debian/control:
     + New bin:package x2gothinclient-chroot.
     + Make sure x2gothinclient-chroot pulls in editing tools like
       mc, vim, less via Recommends: field.
     + Depend on x2goclient (>= 4.0.1.2-0~).
     + Suggest some helpful firmware packages (also from non-free) in bin:package
       x2gothinclient-chroot.
 .
   [ Arnold Krille ]
   * New upstream version (1.1.0.1):
     - Extend x2gothinclient_shell to run anything given as arguments and
       fall back to $TC_SHELL when nothing is given. (Fixes: #301).
     - Allow non-interactive execution of x2gothinclient_create. (Fixes:
       #300).

[Message part 3 (message/rfc822, inline)]
From: Arnold Krille <a.krille@b-c-s.de>
To: submit@bugs.x2go.org
Cc: Arnold Krille <a.krille@b-c-s.de>
Subject: Allow x2gothinclientcreate to run non-interactive
Date: Thu, 5 Sep 2013 10:50:18 +0200
Package: x2gothinclient

When you want to set up your X2Go-TCE via a script (like chef or puppet), the
installer shouldn't ask questions on the command-line. So deactivate waiting
for confirmation and make apt-get use the defaults for configuring instead of
asking.
---
 .../sbin/x2gothinclient_create                     |   24 +++++++++++++++-----
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index 0e6037c..aae0124 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
@@ -43,6 +43,8 @@ TC_DEBMIRROR_URL="${TC_DEBMIRROR_URL:-'http://ftp.debian.org/debian'}"
 TC_X2GO_DEBURL="${TC_X2GO_DEBURL:-'deb http://packages.x2go.org $TC_DISTRO_CODENAME main'}"
 TC_MODULE_BLACKLIST="${TC_MODULE_BLACKLIST:-'pcspkr'}"
 
+TC_NONINTERACTIVE="${TC_NONINTERACTIVE:-}"
+
 test -e "$TC_CHROOT" && { 
 	echo "ERROR: X2Go Thin Client chroot already exists at $TC_CHROOT."
 	echo "Clear $TC_BASE/ and then run $(basename $0) again..."
@@ -54,11 +56,15 @@ test -e "$TC_CHROOT" && {
 	exit -2
 }
 
-echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
-echo "the above TCE parameters..."
-echo
-echo "Alternatively, hit STRG-C to cancel the operation now!!!"
-read
+if [ "x${TC_NONINTERACTIVE}" = "x" ]; then
+    echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
+    echo "the above TCE parameters..."
+    echo
+    echo "Alternatively, hit STRG-C to cancel the operation now!!!"
+    read
+else
+    echo "Non-interactive mode selected, will continue with the above settings"
+fi
 
 export LANG=C
 
@@ -124,6 +130,10 @@ export http_proxy=$TC_HTTP_PROXY
 export https_proxy=$TC_HTTPS_PROXY
 export ftp_proxy=$TC_FTP_PROXY
 
+if [ "x${TC_NONINTERACTIVE}" != "x" ]; then
+    export DEBIAN_FRONTEND=noninteractive
+fi
+
 mkdir -p /tmp/user/0
 mkdir -p /var/lib/xkb
 mkdir -p /var/lib/nfs
@@ -156,7 +166,9 @@ export X2GO_HANDLE_DAEMONS=false
 [ \$? -eq 0 ] && apt-get update
 [ \$? -eq 0 ] && apt-get install $TC_SHELL -y
 [ \$? -eq 0 ] && apt-get install syslinux locales -y
-[ \$? -eq 0 ] && dpkg-reconfigure locales
+if [ \$? -eq 0 -a "x${TC_NONINTERACTIVE}" != "x" ]; then
+    dpkg-reconfigure locales
+fi
 [ \$? -eq 0 ] && apt-get install linux-image-486 -y
 [ \$? -eq 0 ] && test -h /vmlinuz && mv /vmlinuz /vmlinuz.486.tmp || true
 [ \$? -eq 0 ] && LINK_TARGET=\$(readlink /vmlinuz.486.tmp | sed 's@/boot@boot@') && ln -sf \$LINK_TARGET /vmlinuz.486 && rm -f /vmlinuz.486.tmp
-- 
1.7.9.5

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Feb 25 09:26:12 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.